/*********************************************
 * Insight > Item
**********************************************/
.ifs-insight-item {
    --img-w:100%;
    --img-ratio:676/455;
    --info-p:0;
}

/* thumbnail and info */
.ifs-insight-item__thumbnail-wrap {width:var(--img-w); aspect-ratio:var(--img-ratio);}
.ifs-insight-item__info {flex:1;min-width:auto; padding:var(--info-p, 0);}
.ifs-insight-item__title {--ifs-spacing-heading:8px;}
.ifs-insight-tags {gap:16px;margin-bottom:8px;}

/* category block */
.neon-block {
    background-color:var(--ifs-color-white); color:var(--ifs-color-green-1);
    border:1px solid var(--ifs-color-green-1); border-radius:4px;
    padding:6px; box-shadow:0 0 0 4px rgba(5, 128, 64, .25);
}

/* hover, focus */
.ifs-insight-item__inner:is(:hover, :focus) {--ifs-color-heading:var(--ifs-color-primary);}

/* txt color white */
.txt_color_white .neon-block {
    background-color:transparent;
    color:var(--ifs-color-white);
    box-shadow:0 0 0 4px rgba(227, 255, 204, .25);
}
.txt_color_white .ifs-insight-item__inner {--ifs-color-text:var(--ifs-color-white);}
.txt_color_white .ifs-insight-item__inner:is(:hover, :focus) {--ifs-color-heading:var(--ifs-color-light-green);}

/* ifs-insight-item feature */
.ifs-insight-item.is-featured {
    --img-w:50%;
    --info-p:0 var(--ifs-gap-vc-column);

    margin-left:calc(-1 * var(--ifs-gap-vc-column));
    margin-right:calc(-1 * var(--ifs-gap-vc-column));
}
.ifs-insight-item.is-featured .ifs-insight-item__thumbnail-wrap {padding:var(--info-p, 0);}


/*********************************************
 * Insight > Item - Responsive
**********************************************/
@media only screen and (max-width:768px) {
    .ifs-insight-tags {gap:12px; margin-bottom:12px;}
    .ifs-insight-item.is-featured {
        --img-w:100%;

        margin-bottom:var(--ifs-spacing-48);
    }
    .ifs-insight-item.is-featured .ifs-insight-item__inner {gap:var(--ifs-gap-container);}
    .ifs-insight-tags .neon-block {font-size:11px;}
}
